#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(iio_bus_type, "", "");
KSYMTAB_FUNC(iio_device_id, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_enabled, "_gpl", "");
KSYMTAB_FUNC(iio_get_debugfs_dentry, "_gpl", "");
KSYMTAB_FUNC(iio_read_const_attr, "", "");
KSYMTAB_FUNC(iio_device_set_clock, "", "");
KSYMTAB_FUNC(iio_device_get_clock, "", "");
KSYMTAB_FUNC(iio_get_time_ns, "", "");
KSYMTAB_FUNC(iio_enum_available_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_write, "_gpl", "");
KSYMTAB_FUNC(iio_show_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_read_mount_matrix, "", "");
KSYMTAB_FUNC(iio_format_value, "_gpl", "");
KSYMTAB_FUNC(iio_str_to_fixpoint, "_gpl", "");
KSYMTAB_FUNC(iio_device_alloc, "", "");
KSYMTAB_FUNC(iio_device_free, "", "");
KSYMTAB_FUNC(devm_iio_device_alloc, "_gpl", "");
KSYMTAB_FUNC(__iio_device_register, "", "");
KSYMTAB_FUNC(iio_device_unregister, "", "");
KSYMTAB_FUNC(__devm_iio_device_register, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_get_current_mode, "_gpl", "");
KSYMTAB_FUNC(iio_push_event, "", "");
KSYMTAB_FUNC(iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(iio_map_array_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(devm_fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release_all, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_average_raw, "_gpl", "");
KSYMTAB_FUNC(iio_convert_raw_to_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_offset, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_max_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_min_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_type, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_ext_info_count, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_pop_from_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_init, "", "");
KSYMTAB_FUNC(iio_update_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_validate_scan_mask_onehot, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers_with_ts_unaligned, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_get, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_put, "_gpl", "");
KSYMTAB_FUNC(iio_device_attach_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_register, "", "");
KSYMTAB_FUNC(iio_trigger_unregister, "", "");
KSYMTAB_FUNC(iio_trigger_set_immutable, "", "");
KSYMTAB_FUNC(iio_trigger_poll, "", "");
KSYMTAB_FUNC(iio_trigger_generic_data_rdy_poll, "", "");
KSYMTAB_FUNC(iio_trigger_poll_nested, "", "");
KSYMTAB_FUNC(iio_trigger_notify_done, "", "");
KSYMTAB_FUNC(iio_pollfunc_store_time, "", "");
KSYMTAB_FUNC(iio_alloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(iio_dealloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(__iio_trigger_alloc, "", "");
KSYMTAB_FUNC(iio_trigger_free, "", "");
KSYMTAB_FUNC(__devm_iio_trigger_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_iio_trigger_register, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_using_own, "", "");
KSYMTAB_FUNC(iio_validate_own_trigger, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_validate_own_device, "", "");

SYMBOL_CRC(iio_bus_type, 0xdc121678, "");
SYMBOL_CRC(iio_device_id, 0xe91b9587, "_gpl");
SYMBOL_CRC(iio_buffer_enabled, 0xb29829b4, "_gpl");
SYMBOL_CRC(iio_get_debugfs_dentry, 0x4eb34494, "_gpl");
SYMBOL_CRC(iio_read_const_attr, 0x154c5f34, "");
SYMBOL_CRC(iio_device_set_clock, 0x92bb4507, "");
SYMBOL_CRC(iio_device_get_clock, 0x8a3723c5, "");
SYMBOL_CRC(iio_get_time_ns, 0x2a13cdbd, "");
SYMBOL_CRC(iio_enum_available_read, 0xfee875cf, "_gpl");
SYMBOL_CRC(iio_enum_read, 0xb5ed49f0, "_gpl");
SYMBOL_CRC(iio_enum_write, 0xaa9b771d, "_gpl");
SYMBOL_CRC(iio_show_mount_matrix, 0x95222f7e, "_gpl");
SYMBOL_CRC(iio_read_mount_matrix, 0x26091902, "");
SYMBOL_CRC(iio_format_value, 0x4dce7dd4, "_gpl");
SYMBOL_CRC(iio_str_to_fixpoint, 0x26f6b499, "_gpl");
SYMBOL_CRC(iio_device_alloc, 0xecbc0ef8, "");
SYMBOL_CRC(iio_device_free, 0x332d3aa5, "");
SYMBOL_CRC(devm_iio_device_alloc, 0x7b721cf6, "_gpl");
SYMBOL_CRC(__iio_device_register, 0x1c6aa114, "");
SYMBOL_CRC(iio_device_unregister, 0x41fb8fa8, "");
SYMBOL_CRC(__devm_iio_device_register, 0xe616671f, "_gpl");
SYMBOL_CRC(iio_device_claim_direct_mode, 0x2544e062, "_gpl");
SYMBOL_CRC(iio_device_release_direct_mode, 0x4671d987, "_gpl");
SYMBOL_CRC(iio_device_claim_buffer_mode, 0x99c52710, "_gpl");
SYMBOL_CRC(iio_device_release_buffer_mode, 0xfaf01ef5, "_gpl");
SYMBOL_CRC(iio_device_get_current_mode, 0x2bd51aeb, "_gpl");
SYMBOL_CRC(iio_push_event, 0xd0e50350, "");
SYMBOL_CRC(iio_map_array_register, 0xddf02b60, "_gpl");
SYMBOL_CRC(iio_map_array_unregister, 0x91078396, "_gpl");
SYMBOL_CRC(devm_iio_map_array_register, 0xbdf3da44, "_gpl");
SYMBOL_CRC(fwnode_iio_channel_get_by_name, 0xc0a2c5ed, "_gpl");
SYMBOL_CRC(iio_channel_get, 0x0051811a, "_gpl");
SYMBOL_CRC(iio_channel_release, 0x3c4593e1, "_gpl");
SYMBOL_CRC(devm_iio_channel_get, 0x49373783, "_gpl");
SYMBOL_CRC(devm_fwnode_iio_channel_get_by_name, 0x2d5d0318, "_gpl");
SYMBOL_CRC(iio_channel_get_all, 0x428d2224, "_gpl");
SYMBOL_CRC(iio_channel_release_all, 0x9f235305, "_gpl");
SYMBOL_CRC(devm_iio_channel_get_all, 0xaf367c0c, "_gpl");
SYMBOL_CRC(iio_read_channel_raw, 0x219f4cca, "_gpl");
SYMBOL_CRC(iio_read_channel_average_raw, 0x55e9dcd4, "_gpl");
SYMBOL_CRC(iio_convert_raw_to_processed, 0xd95f56d0, "_gpl");
SYMBOL_CRC(iio_read_channel_attribute, 0xd07a5f5a, "_gpl");
SYMBOL_CRC(iio_read_channel_offset, 0x6b3942e1, "_gpl");
SYMBOL_CRC(iio_read_channel_processed_scale, 0x4453c0f2, "_gpl");
SYMBOL_CRC(iio_read_channel_processed, 0x993d0797, "_gpl");
SYMBOL_CRC(iio_read_channel_scale, 0x291f4a7e, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_attribute, 0x72b2f965, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_raw, 0x5bd6172e, "_gpl");
SYMBOL_CRC(iio_read_max_channel_raw, 0xd4c29342, "_gpl");
SYMBOL_CRC(iio_read_min_channel_raw, 0xc06e55f1, "_gpl");
SYMBOL_CRC(iio_get_channel_type, 0x8b68b3de, "_gpl");
SYMBOL_CRC(iio_write_channel_attribute, 0x2616564c, "_gpl");
SYMBOL_CRC(iio_write_channel_raw, 0xc6b76ef5, "_gpl");
SYMBOL_CRC(iio_get_channel_ext_info_count, 0x08e0d019, "_gpl");
SYMBOL_CRC(iio_read_channel_ext_info, 0xec7c3303, "_gpl");
SYMBOL_CRC(iio_write_channel_ext_info, 0x81e76291, "_gpl");
SYMBOL_CRC(iio_pop_from_buffer, 0xf833fed3, "_gpl");
SYMBOL_CRC(iio_buffer_init, 0xa3af15fe, "");
SYMBOL_CRC(iio_update_buffers, 0xf5ff010d, "_gpl");
SYMBOL_CRC(iio_validate_scan_mask_onehot, 0x5c7ac792, "_gpl");
SYMBOL_CRC(iio_push_to_buffers, 0xa0d6cab0, "_gpl");
SYMBOL_CRC(iio_push_to_buffers_with_ts_unaligned, 0xdf2dde33, "_gpl");
SYMBOL_CRC(iio_buffer_get, 0x7e3abd1b, "_gpl");
SYMBOL_CRC(iio_buffer_put, 0x70deb7e0, "_gpl");
SYMBOL_CRC(iio_device_attach_buffer, 0x6820c57a, "_gpl");
SYMBOL_CRC(iio_trigger_register, 0x16481cf8, "");
SYMBOL_CRC(iio_trigger_unregister, 0xbf0c6aa1, "");
SYMBOL_CRC(iio_trigger_set_immutable, 0xe7b2a392, "");
SYMBOL_CRC(iio_trigger_poll, 0xc2e28b1e, "");
SYMBOL_CRC(iio_trigger_generic_data_rdy_poll, 0x2d6bcdcb, "");
SYMBOL_CRC(iio_trigger_poll_nested, 0x994f02c8, "");
SYMBOL_CRC(iio_trigger_notify_done, 0x789344df, "");
SYMBOL_CRC(iio_pollfunc_store_time, 0xdf76bbeb, "");
SYMBOL_CRC(iio_alloc_pollfunc, 0x10aba341, "_gpl");
SYMBOL_CRC(iio_dealloc_pollfunc, 0x4e4f9a71, "_gpl");
SYMBOL_CRC(__iio_trigger_alloc, 0xfce6016b, "");
SYMBOL_CRC(iio_trigger_free, 0x68c3a15c, "");
SYMBOL_CRC(__devm_iio_trigger_alloc, 0x2670bb17, "_gpl");
SYMBOL_CRC(devm_iio_trigger_register, 0xc93d745a, "_gpl");
SYMBOL_CRC(iio_trigger_using_own, 0xfca49b80, "");
SYMBOL_CRC(iio_validate_own_trigger, 0x104bd50e, "_gpl");
SYMBOL_CRC(iio_trigger_validate_own_device, 0x75c4d841, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xaedc350b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xba969081, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x69811386, "device_initialize" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x3acdce59, "fwnode_property_get_reference_args" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6bce2ad2, "__module_get" },
	{ 0xe127bd74, "get_device" },
	{ 0x220a6692, "fwnode_property_match_string" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5b61f0b5, "__dynamic_dev_dbg" },
	{ 0xf906abcf, "fwnode_get_parent" },
	{ 0x28844900, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xcd893afc, "device_match_fwnode" },
	{ 0x2d03c1b7, "device_set_node" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xb1920612, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0xb2f6d7df, "anon_inode_getfd" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xe16b094c, "put_device" },
	{ 0x20dbf27, "bitmap_alloc" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0xcfc3fc8, "handle_simple_irq" },
	{ 0x876e5cd3, "_dev_info" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xcd1f47a2, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xf452f31d, "compat_ptr_ioctl" },
	{ 0xf5e7ea40, "ktime_get_coarse_ts64" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcf6d508, "bus_unregister" },
	{ 0xd1005013, "_dev_err" },
	{ 0xfc2f9e8c, "simple_open" },
	{ 0x5cb96884, "bus_find_device" },
	{ 0x15961654, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xbbb03387, "noop_llseek" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x516babb7, "debugfs_remove" },
	{ 0x818f124e, "device_property_read_string_array" },
	{ 0xd6938fb0, "__devres_alloc_node" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0xa21e5f9c, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x460cf002, "__irq_alloc_descs" },
	{ 0xf8c769d7, "fwnode_property_read_string" },
	{ 0x17a81c9c, "fwnode_property_present" },
	{ 0x81e831ee, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xabdc19ba, "fwnode_get_next_parent" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x34b05b6c, "devm_krealloc" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc77bdac6, "__irq_set_handler" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0xfc396156, "__devm_add_action" },
	{ 0xd353cd99, "fwnode_handle_put" },
	{ 0x82edfb9a, "irq_set_chip" },
	{ 0x6474ec3e, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x863e99a6, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1da004f7, "__dev_fwnode" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0xf654265e, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

